#
# spec file for package gnu-crypto
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnu-crypto
Version:        2.0.1
Release:        261.3
Summary:        GNU Crypto
License:        GPL-2.0-or-later
Group:          Development/Languages/Java
URL:            https://www.gnu.org/software/gnu-crypto/
Source:         ftp://ftp.gnu.org/gnu/%{name}/releases/%{name}-%{version}.tar.bz2
Patch0:         sasl-functions.patch
BuildRequires:  ant
BuildRequires:  java-devel >= 1.8
BuildRequires:  unzip
Provides:       jce
BuildArch:      noarch

%description
GNU Crypto provides implementations of cryptographic primitives and
tools in the Java programming language for use by programmers and
end-users.

%prep
%setup -q
%patch -P 0

%build
export CLASSPATH=$(build-classpath glibj)
ant -Dant.build.javac.source=8 -Dant.build.javac.target=8 jar

%install
mkdir -p %{buildroot}/%{_javadir}
cp lib/*.jar %{buildroot}/%{_javadir}

%files
%{_javadir}/*

%changelog
* Wed Feb 21 2024 Fridrich Strba <fstrba@suse.com>
- Use %%patch -P N instead of deprecated %%patchN.
* Wed Mar 27 2019 Jan Engelhardt <jengelh@inai.de>
- Trim filler wording and redundant metadata from the description.
* Thu May 17 2018 fstrba@suse.com
- Build with source and target 8 to prepare for a possible removal
  of 1.6 compatibility
* Thu Sep 14 2017 fstrba@suse.com
- Fix build with jdk9 by specifying java source and target 1.6
* Thu Jan  5 2017 tchvatal@suse.com
- Switch to java-devel as gcj is getting deprecated
- Remove unused dependencies
* Tue Oct  7 2014 tchvatal@suse.com
- Cleanup a bit with spec-cleaner
* Fri Sep 13 2013 mvyskocil@suse.com
- drop javadoc package
* Sat Oct 27 2012 coolo@suse.com
- add buildrequire groff
* Mon Jun 18 2007 dbornkessel@suse.de
- added patch for changed sasl-function signatures
* Wed May  2 2007 dbornkessel@suse.de
- added unzip to BuildRequires
* Sun Apr 22 2007 aj@suse.de
- Use texlive.
* Thu Jan 11 2007 dbornkessel@suse.de
- first version (dependency for tomcat55)
